Devuan bug report logs - #123
mutt: Install missing required dependencies (libxapian30)

Package: mutt; Reported by: Boruch Baum <boruch_baum@gmx.com>;
Date: Fri, 21 Jul 2017 13:07:54 UTC;
Done: KatolaZ <katolaz@freaknet.org>;
Maintainer for mutt is (unknown).

View this report as an mbox folder.


Reply sent to KatolaZ <katolaz@freaknet.org>:
You have taken responsibility. Full text available.



Message sent:

From: owner@bugs.devuan.org (Devuan bug Tracking System)
To: KatolaZ <katolaz@freaknet.org>
Subject: bug#123: marked as done (mutt: Install missing required dependencies (libxapian30))

Your message dated Fri, 21 Jul 2017 18:55:59 +0100
with message-id <20170721175559.GL15821@katolaz.homeunix.net>
and subject line fixed in jessie-backports
has caused the attached bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Devuan Bugs Owner
(administrator, Devuan bugs database)

--------------------------------------
Received: (at submit) by bugs.devuan.org; 21 Jul 2017 13:06:53 +0000
Return-Path: <devuanbugs@dyne.org>
Delivered-To: devuanbugs@dyne.org
Received: from mail.dyne.org [178.62.188.7]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Fri, 21 Jul 2017 15:06:53 +0200 (CEST)
Received: from [127.0.0.1] (localhost [127.0.0.1])
	(Authenticated sender: devuanbugs@dyne.org)
	with ESMTPSA id E4B0518B4CB
Resent-From: "bugs.devuan.org" <debbugs@dyne.servus.at>
Resent-Date: Fri, 21 Jul 2017 15:06:44 +0200
Resent-Message-ID: <20170721130644.GC7170@dyne.servus.at>
Resent-To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Received: from mail.dyne.org [178.62.188.7]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Fri, 21 Jul 2017 14:30:05 +0200 (CEST)
Received: from mout.gmx.net (mout.gmx.net [212.227.17.20])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by tupac2.dyne.org (Postfix) with ESMTPS id 804B818F568
	for <submit@bugs.devuan.org>; Fri, 21 Jul 2017 12:20:27 +0000 (UTC)
Received: from E15-2016.optimum.net ([108.6.168.221]) by mail.gmx.com
 (mrgmx102 [212.227.17.174]) with ESMTPSA (Nemesis) id
 0MP1PX-1dVUeT1Hmx-006OaL for <submit@bugs.devuan.org>; Fri, 21 Jul 2017
 14:20:26 +0200
Date: Fri, 21 Jul 2017 08:20:23 -0400
From: Boruch Baum <boruch_baum@gmx.com>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: mutt: Install missing required dependencies (libxapian30)
Message-ID: <20170721122023.udbzgvx3zvocfqdm@E15-2016.optimum.net>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
User-Agent: NeoMutt/20170113 (1.7.2)
X-Provags-ID: V03:K0:x/R4vEHT8/SWH25L1wh8zOua5Cmdrl3N2jTE0kM9QqN7Fa1i5Qh
 par0iXbq3T2eL2ItlpOlrWrzk/Op9QiOIp+HYd7DNkSGkH9aCexEn/KWkpgPV3tw2r91yca
 n5iRqc+zNHz/CIpJCQm4M3xe8lY5Vm3jQWorEeFqdIvxzuOMFl1GlEzcBsO/Dyo0CT6N4d8
 nwefFTDP77ul5vcT74G4A==
X-UI-Out-Filterresults: notjunk:1;V01:K0:3/PRqBFIikU=:ENTXTap8fSjHfH30ZHeV1T
 SCWdS2u0ampsHYgRB4DNkE+fMkOPk2AeaRm8IkJYAQCME7C+Hf3ly3IO31DvKcKuFTVGMWPcE
 LmMEYxk3qqe6UUjJ/SiAWGF3SescJmFHuCUbpqVzwbj6XGEFwBCzDDq27b/kgIiQt5FeZ5MZc
 EojoPFm7Dqo2XJe0Zz70TeCLyc6ZXjDJZNs2B2DoYoi1qpiAZBMK1TYjD2neAD9PhRmt3MUJZ
 oIkRKeHm+dCL87Nu2WU6yn9ggvcpbMvFQyIoo5rIHPwISS1ck42nWkncdrGXvQmVGRY8SxuZk
 gZuoUNuni3SFM3LG8lQIhhbK7+5VEoFYUb05bJA5RB+lEj55a6eLHIUG5gM4TIZzXMaROIjZx
 1o344J1djEKCM2rLcuoP4ZWPPQCsGmgyRQH0l2Uxz7b06fN7NODLEbugSMFToNSQwLt1RY/QM
 gSo+IR3u7/QxLhy0eERlqU08b9Bpn0mAa9O67hv81xGivVOGSze9I8D2nqgBGquGoA/gbUWoG
 vVejCjk4RAK8p5ogahzgcWQ+DV93CjnPP2CIAFGEbwRAbBasiNBVInddTG1Zw1UDuK1PsE79S
 XTD0VuZMBOJe9zFHNgRIw8tDVx5iEl6s1vLAScAZqvyVQbjj70zr7+oZj2k2Nzy5o4LQDYe0g
 CNEVPMBg6Tjz0gKgbboMLCQ0HlqnxqbIzr5pAH1WzrQoB6ZzkdxyfE1dxT1xO/QpiDvhA5dRe
 EJvUAz2WgTfWP4nsFm1LLpe/5OLv/Xbfz8l9I0WIhY2nr8L7FrAF++CnUhaa7p7+kGNH4G4na
 0X7a0f9yTTB7BiwaJea/4pVZF4DnA==
X-Spam-Status: No, score=0.2 required=5.0 tests=HEADER_FROM_DIFFERENT_DOMAINS,
	RCVD_IN_DNSWL_LOW,RCVD_IN_MSPIKE_H3,RCVD_IN_MSPIKE_WL,SPF_FAIL
	autolearn=disabled version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on tupac2

Subject: mutt: Install missing required dependencies (libxapian30)
Package: mutt
Version: 1.7.2-1
Severity: serious

Dear Maintainer,

Upon upgrading `mutt' from the stable to testing repositories, mutt
ceased to function, offering the following error message:

   #+BEGIN_SRC conf
   mutt: symbol lookup error:  /usr/lib/x86_64-linux-gnu/libnotmuch.so.4:
   undefined symbol:
_ZN6Xapian9Compactor26resolve_duplicate_metadataERKNSt7__cxx1112basic_strin=
gIcSt11char_traitsIcESaIcEEEmPS7_
   #+End_SRC

Performing the following fixed the problem for me:

   #+BEGIN_SRC conf
   apt-get install libxapian30

   The following packages will be upgraded:
     libxapian-dev libxapian30 xapian-tools
   #+END_SRC


-- Package-specific info:
NeoMutt 20170113 (1.7.2)
Copyright (C) 1996-2016 Michael R. Elkins and others.
Mutt comes with ABSOLUTELY NO WARRANTY; for details type `mutt -vv'.
Mutt is free software, and you are welcome to redistribute it
under certain conditions; type `mutt -vv' for details.

System: Linux 4.9.0-2-grsec-amd64 (x86_64)
libidn: 1.29 (compiled with 1.33)
hcache backends: tokyocabinet

Compiler:
Using built-in specs.
COLLECT_GCC=3Dgcc
COLLECT_LTO_WRAPPER=3D/usr/lib/gcc/x86_64-linux-gnu/6/lto-wrapper
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion=3D'Debian 6.3.0-2' -=
-with-bugurl=3Dfile:///usr/share/doc/gcc-6/README.Bugs --enable-languages=
=3Dc,ada,c++,java,go,d,fortran,objc,obj-c++ --prefix=3D/usr --program-suffi=
x=3D-6 --program-prefix=3Dx86_64-linux-gnu- --enable-shared --enable-linker=
-build-id --libexecdir=3D/usr/lib --without-included-gettext --enable-threa=
ds=3Dposix --libdir=3D/usr/lib --enable-nls --with-sysroot=3D/ --enable-clo=
cale=3Dgnu --enable-libstdcxx-debug --enable-libstdcxx-time=3Dyes --with-de=
fault-libstdcxx-abi=3Dnew --enable-gnu-unique-object --disable-vtable-verif=
y --enable-libmpx --enable-plugin --enable-default-pie --with-system-zlib -=
-disable-browser-plugin --enable-java-awt=3Dgtk --enable-gtk-cairo --with-j=
ava-home=3D/usr/lib/jvm/java-1.5.0-gcj-6-amd64/jre --enable-java-home --wit=
h-jvm-root-dir=3D/usr/lib/jvm/java-1.5.0-gcj-6-amd64 --with-jvm-jar-dir=3D/=
usr/lib/jvm-exports/java-1.5.0-gcj-6-amd64 --with-arch-directory=3Damd64 --=
with-ecj-jar=3D/usr/share/java/eclipse-ecj.jar --with-target-system-zlib --=
enable-objc-gc=3Dauto --enable-multiarch --with-arch-32=3Di686 --with-abi=
=3Dm64 --with-multilib-list=3Dm32,m64,mx32 --enable-multilib --with-tune=3D=
generic --enable-checking=3Drelease --build=3Dx86_64-linux-gnu --host=3Dx86=
_64-linux-gnu --target=3Dx86_64-linux-gnu
Thread model: posix
gcc version 6.3.0 20161229 (Debian 6.3.0-2)

Configure options: '--build=3Dx86_64-linux-gnu' '--prefix=3D/usr' '--includ=
edir=3D\${prefix}/include' '--mandir=3D\${prefix}/share/man' '--infodir=3D\=
${prefix}/share/info' '--sysconfdir=3D/etc' '--localstatedir=3D/var' '--dis=
able-silent-rules' '--libdir=3D\${prefix}/lib/x86_64-linux-gnu' '--libexecd=
ir=3D\${prefix}/lib/x86_64-linux-gnu' '--disable-maintainer-mode' '--disabl=
e-dependency-tracking' '--with-mailpath=3D/var/mail' '--enable-compressed' =
'--enable-debug' '--enable-fcntl' '--enable-hcache' '--enable-gpgme' '--ena=
ble-imap' '--enable-smtp' '--enable-pop' '--enable-sidebar' '--enable-nntp'=
 '--enable-notmuch' '--disable-fmemopen' '--with-curses' '--with-gnutls' '-=
-with-gss' '--with-idn' '--with-mixmaster' '--with-sasl' '--without-gdbm' '=
--without-bdb' '--without-qdbm' '--with-tokyocabinet' 'build_alias=3Dx86_64=
-linux-gnu' 'CFLAGS=3D-g -O2 -fdebug-prefix-map=3D/build/mutt-K2ak0h/mutt-1=
=2E7.2=3D. -fstack-protector-strong -Wformat -Werror=3Dformat-security' 'LD=
FLAGS=3D-Wl,-z,relro -Wl,-z,now' 'CPPFLAGS=3D-Wdate-time -D_FORTIFY_SOURCE=
=3D2'

Compilation CFLAGS: -Wall -pedantic -Wno-long-long -g -O2 -fdebug-prefix-ma=
p=3D/build/mutt-K2ak0h/mutt-1.7.2=3D. -fstack-protector-strong -Wformat -We=
rror=3Dformat-security -fno-delete-null-pointer-checks

Compile options:
+CRYPT_BACKEND_CLASSIC_PGP +CRYPT_BACKEND_CLASSIC_SMIME +CRYPT_BACKEND_GPGME
+DEBUG +DL_STANDALONE +ENABLE_NLS -EXACT_ADDRESS -HOMESPOOL -LOCALES_HACK
-SUN_ATTACHMENT +HAVE_BKGDSET +HAVE_COLOR +HAVE_CURS_SET +HAVE_FUTIMENS
+HAVE_GETADDRINFO +HAVE_GETSID +HAVE_ICONV +HAVE_LANGINFO_CODESET
+HAVE_LANGINFO_YESEXPR +HAVE_LIBIDN +HAVE_META +HAVE_REGCOMP +HAVE_RESIZETE=
RM
+HAVE_START_COLOR +HAVE_TYPEAHEAD +HAVE_WC_FUNCS +ICONV_NONTRANS
+USE_COMPRESSED +USE_DOTLOCK +USE_FCNTL -USE_FLOCK -USE_FMEMOPEN -USE_GNU_R=
EGEX
+USE_GSS +USE_HCACHE +USE_IMAP +USE_NOTMUCH +USE_NNTP +USE_POP +USE_SASL
+USE_SETGID +USE_SIDEBAR +USE_SMTP +USE_SSL_GNUTLS -USE_SSL_OPENSSL
-DOMAIN
MIXMASTER=3D"mixmaster"
-ISPELL
SENDMAIL=3D"/usr/sbin/sendmail"
MAILPATH=3D"/var/mail"
PKGDATADIR=3D"/usr/share/mutt"
SYSCONFDIR=3D"/etc"
EXECSHELL=3D"/bin/sh"

patch-attach-headers-color-neomutt
patch-compose-to-sender-neomutt
patch-compress-neomutt
patch-cond-date-neomutt
patch-encrypt-to-self-neomutt
patch-fmemopen-neomutt
patch-forgotten-attachments-neomutt
patch-forwref-neomutt
patch-ifdef-neomutt
patch-index-color-neomutt
patch-initials-neomutt
patch-keywords-neomutt
patch-kyoto-neomutt
patch-limit-current-thread-neomutt
patch-lmdb-neomutt
patch-multiple-fcc-neomutt
patch-nested-if-neomutt
patch-new-mail-neomutt
patch-nntp-neomutt
patch-notmuch-neomutt
patch-progress-neomutt
patch-quasi-delete-neomutt
patch-reply-with-xorig-neomutt
patch-sensible-browser-neomutt
patch-sidebar-neomutt
patch-skip-quoted-neomutt
patch-status-color-neomutt
patch-timeout-neomutt
patch-tls-sni-neomutt
patch-trash-neomutt

To learn more about NeoMutt, visit: http://www.neomutt.org/
If you find a bug in NeoMutt, please raise an issue at:
    https://github.com/neomutt/neomutt/issues
or send an email to: <neomutt-devel@neomutt.org>


-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 1.0 (jessie)
Release:	1.0
Codename:	jessie
Architecture: x86_64

Kernel: Linux 4.9.0-2-grsec-amd64 (SMP w/4 CPU cores)
Locale: LANG=3Den_US.UTF-8, LC_CTYPE=3Den_US.UTF-8 (charmap=3DUTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages mutt depends on:
ii  libassuan0        2.4.3-2~bpo8+1
ii  libc6             2.24-11
ii  libcomerr2        1.43.3-1~bpo8+1
ii  libgnutls30       3.5.8-6
ii  libgpg-error0     1.26-2
ii  libgpgme11        1.5.1-6
ii  libgssapi-krb5-2  1.15-1
ii  libidn11          1.29-1+deb8u2
ii  libk5crypto3      1.15-1
ii  libkrb5-3         1.15-1
ii  libncursesw5      6.0+20161126-1
ii  libnotmuch4       0.23.7-3
ii  libsasl2-2        2.1.26.dfsg1-13+deb8u1
ii  libtinfo5         6.0+20161126-1
ii  libtokyocabinet9  1.4.48-3

Versions of packages mutt recommends:
ii  libsasl2-modules  2.1.26.dfsg1-13+deb8u1
ii  locales           2.24-12
ii  mime-support      3.58

Versions of packages mutt suggests:
ii  aspell                                     0.60.7~20110707-1.3
ii  ca-certificates                            20141019+deb8u3
ii  exim4-daemon-light [mail-transport-agent]  4.89-2+deb9u1~bpo8+1
ii  gnupg                                      2.1.18-6
ii  ispell                                     3.3.02-6
pn  mixmaster                                  <none>
ii  openssl                                    1.0.2l-1~bpo8+1
ii  urlview                                    0.9-20+b1

Versions of packages mutt is related to:
ii  mutt  1.7.2-1

-- debconf information:
Unescaped left brace in regex is deprecated, passed through in regex; marke=
d by <-- HERE in m/^(.*?)(\\)?\${ <-- HERE ([^{}]+)}(.*)$/ at /usr/share/pe=
rl5/Debconf/Question.pm line 72.
Unescaped left brace in regex is deprecated, passed through in regex; marke=
d by <-- HERE in m/\${ <-- HERE ([^}]+)}/ at /usr/share/perl5/Debconf/Confi=
g.pm line 30.

--=20
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0
---------------------------------------
Received: (at 123-done) by bugs.devuan.org; 21 Jul 2017 18:00:02 +0000
Return-Path: <katolaz@freaknet.org>
Delivered-To: devuanbugs@dyne.org
Received: from mail.dyne.org [178.62.188.7]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Fri, 21 Jul 2017 20:00:02 +0200 (CEST)
Received: from [127.0.0.1] (localhost [127.0.0.1])
	(Authenticated sender: katolaz@freaknet.org)
	with ESMTPSA id 7AC3718F44F
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=freaknet.org; s=mail;
	t=1500659757; bh=U3tBpj+1No2gaY+q9izEUaZC8JhCJlc8GBfWZ23FHGM=;
	h=Date:From:To:Subject:From;
	b=ZCwCSqVm+Fn4Orv0YNpN+X2dwvDeQYQ31sPAHMZf6L9/RJnQAFKx3VC9Vgam8zNRl
	 Uq7RvjscvJ/OhFcai2LNmSK83pMxF3xawphF36JPnRDc/khD8zG4OWCiHE//rupceG
	 N/29fDC8ig9wGYdHMtCUPQHvDtK4qcxWdyCnh0Nk=
Date: Fri, 21 Jul 2017 18:55:59 +0100
From: KatolaZ <katolaz@freaknet.org>
To: 123-done@bugs.devuan.org
Subject: fixed in jessie-backports
Message-ID: <20170721175559.GL15821@katolaz.homeunix.net>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature"; boundary="pcMax35UK33X8M4d"
Content-Disposition: inline
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Status: No, score=-1.0 required=5.0 tests=ALL_TRUSTED
	autolearn=disabled version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on tupac2


--pcMax35UK33X8M4d
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Reported as fixed upstream (Debian) in jessie-backports.


--pcMax35UK33X8M4d
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAllyQC8ACgkQXyCzrgtfBi+JJQCfRctr4wOrU8Abl4lig4EvWg67
HeIAn1KwjlvXvOmaQJxHcKlZRVMXxicV
=knHK
-----END PGP SIGNATURE-----

--pcMax35UK33X8M4d--




Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu, 23 May 2019 23:22:52 UTC